
get_filename_component(_qt5_install_prefix ${CMAKE_CURRENT_LIST_DIR}/../../../ ABSOLUTE)

set(Qt5Gui_VERSION_MAJOR 5)
set(Qt5Gui_VERSION_MINOR 0)
set(Qt5Gui_VERSION_PATCH 0)

set(Qt5Gui_LIBRARY Qt5Gui)

set(Qt5Gui_HEADER_DIR "${_qt5_install_prefix}/include" )

set(Qt5Gui_INCLUDE_DIRS "${Qt5Gui_HEADER_DIR}" "${_qt5_install_prefix}/include/QtGui")

set(Qt5Gui_LIBRARY_DIR "${_qt5_install_prefix}/lib")

string(TOUPPER Gui _CMAKE_MODULE_NAME_UPPER)
set(Qt5Gui_DEFINITIONS -DQT_${_CMAKE_MODULE_NAME_UPPER}_LIB)

set(_Qt5_MODULE_DEPENDENCIES "Core")

if (NOT "true" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5GuiConfigExtras.cmake")
endif()

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5GuiMacros.cmake")
endif()

if (NOT _Qt5Gui_target)
    set(_Qt5Gui_target 1)
    add_library(Qt5Gui SHARED IMPORTED)
    if (NOT "" STREQUAL "")
        set_property(TARGET Qt5Gui PROPERTY FRAMEWORK 1)
    endif()
endif()

if (NOT "debug" STREQUAL "")
    set_property(TARGET Qt5Gui APPEND PROPERTY IMPORTED_CONFIGURATIONS DEBUG)
    set_target_properties(Qt5Gui PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_DEBUG "Qt5Core"
        IMPORTED_LOCATION_DEBUG "${_qt5_install_prefix}/lib/QtGuid5.dll"
    )
    if (NOT "QtGuid5.lib" STREQUAL "")
        set_target_properties(Qt5Gui PROPERTIES
            IMPORTED_IMPLIB_DEBUG "${_qt5_install_prefix}/lib/QtGuid5.lib"
        )
    endif()
endif()

if (NOT "release" STREQUAL "")
    set_property(TARGET Qt5Gui APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
    set_target_properties(Qt5Gui PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "Qt5Core"
        IMPORTED_LOCATION_RELEASE "${_qt5_install_prefix}/lib/QtGui5.dll"
    )
    if (NOT "QtGui5.lib" STREQUAL "")
        set_target_properties(Qt5Gui PROPERTIES
            IMPORTED_IMPLIB_RELEASE "${_qt5_install_prefix}/lib/QtGui5.lib"
        )
    endif()
endif()
