
get_filename_component(_qt5_install_prefix ${CMAKE_CURRENT_LIST_DIR}/../../../ ABSOLUTE)

set(Qt5OpenGL_VERSION_MAJOR 5)
set(Qt5OpenGL_VERSION_MINOR 0)
set(Qt5OpenGL_VERSION_PATCH 0)

set(Qt5OpenGL_LIBRARY Qt5OpenGL)

set(Qt5OpenGL_HEADER_DIR "${_qt5_install_prefix}/include" )

set(Qt5OpenGL_INCLUDE_DIRS "${Qt5OpenGL_HEADER_DIR}" "${_qt5_install_prefix}/include/QtOpenGL")

set(Qt5OpenGL_LIBRARY_DIR "${_qt5_install_prefix}/lib")

string(TOUPPER OpenGL _CMAKE_MODULE_NAME_UPPER)
set(Qt5OpenGL_DEFINITIONS -DQT_${_CMAKE_MODULE_NAME_UPPER}_LIB)

set(_Qt5_MODULE_DEPENDENCIES "Core;Gui;Widgets")

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5OpenGLConfigExtras.cmake")
endif()

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5OpenGLMacros.cmake")
endif()

if (NOT _Qt5OpenGL_target)
    set(_Qt5OpenGL_target 1)
    add_library(Qt5OpenGL SHARED IMPORTED)
    if (NOT "" STREQUAL "")
        set_property(TARGET Qt5OpenGL PROPERTY FRAMEWORK 1)
    endif()
endif()

if (NOT "debug" STREQUAL "")
    set_property(TARGET Qt5OpenGL APPEND PROPERTY IMPORTED_CONFIGURATIONS DEBUG)
    set_target_properties(Qt5OpenGL PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_DEBUG "Qt5Core;Qt5Gui;Qt5Widgets"
        IMPORTED_LOCATION_DEBUG "${_qt5_install_prefix}/lib/QtOpenGLd5.dll"
    )
    if (NOT "QtOpenGLd5.lib" STREQUAL "")
        set_target_properties(Qt5OpenGL PROPERTIES
            IMPORTED_IMPLIB_DEBUG "${_qt5_install_prefix}/lib/QtOpenGLd5.lib"
        )
    endif()
endif()

if (NOT "release" STREQUAL "")
    set_property(TARGET Qt5OpenGL APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
    set_target_properties(Qt5OpenGL PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "Qt5Core;Qt5Gui;Qt5Widgets"
        IMPORTED_LOCATION_RELEASE "${_qt5_install_prefix}/lib/QtOpenGL5.dll"
    )
    if (NOT "QtOpenGL5.lib" STREQUAL "")
        set_target_properties(Qt5OpenGL PROPERTIES
            IMPORTED_IMPLIB_RELEASE "${_qt5_install_prefix}/lib/QtOpenGL5.lib"
        )
    endif()
endif()
