
get_filename_component(_qt5_install_prefix ${CMAKE_CURRENT_LIST_DIR}/../../../ ABSOLUTE)

set(Qt5V8_VERSION_MAJOR 5)
set(Qt5V8_VERSION_MINOR 0)
set(Qt5V8_VERSION_PATCH 0)

set(Qt5V8_LIBRARY Qt5V8)

set(Qt5V8_HEADER_DIR "${_qt5_install_prefix}/include" )

set(Qt5V8_INCLUDE_DIRS "${Qt5V8_HEADER_DIR}" "${_qt5_install_prefix}/include/QtV8")

set(Qt5V8_LIBRARY_DIR "${_qt5_install_prefix}/lib")

string(TOUPPER V8 _CMAKE_MODULE_NAME_UPPER)
set(Qt5V8_DEFINITIONS -DQT_${_CMAKE_MODULE_NAME_UPPER}_LIB)

set(_Qt5_MODULE_DEPENDENCIES "")

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5V8ConfigExtras.cmake")
endif()

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5V8Macros.cmake")
endif()

if (NOT _Qt5V8_target)
    set(_Qt5V8_target 1)
    add_library(Qt5V8 SHARED IMPORTED)
    if (NOT "" STREQUAL "")
        set_property(TARGET Qt5V8 PROPERTY FRAMEWORK 1)
    endif()
endif()

if (NOT "debug" STREQUAL "")
    set_property(TARGET Qt5V8 APPEND PROPERTY IMPORTED_CONFIGURATIONS DEBUG)
    set_target_properties(Qt5V8 PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_DEBUG ""
        IMPORTED_LOCATION_DEBUG "${_qt5_install_prefix}/lib/QtV8d5.dll"
    )
    if (NOT "QtV8d5.lib" STREQUAL "")
        set_target_properties(Qt5V8 PROPERTIES
            IMPORTED_IMPLIB_DEBUG "${_qt5_install_prefix}/lib/QtV8d5.lib"
        )
    endif()
endif()

if (NOT "release" STREQUAL "")
    set_property(TARGET Qt5V8 APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
    set_target_properties(Qt5V8 PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE ""
        IMPORTED_LOCATION_RELEASE "${_qt5_install_prefix}/lib/QtV85.dll"
    )
    if (NOT "QtV85.lib" STREQUAL "")
        set_target_properties(Qt5V8 PROPERTIES
            IMPORTED_IMPLIB_RELEASE "${_qt5_install_prefix}/lib/QtV85.lib"
        )
    endif()
endif()
