
get_filename_component(_qt5_install_prefix ${CMAKE_CURRENT_LIST_DIR}/../../../ ABSOLUTE)

set(Qt5Xml_VERSION_MAJOR 5)
set(Qt5Xml_VERSION_MINOR 0)
set(Qt5Xml_VERSION_PATCH 0)

set(Qt5Xml_LIBRARY Qt5Xml)

set(Qt5Xml_HEADER_DIR "${_qt5_install_prefix}/include" )

set(Qt5Xml_INCLUDE_DIRS "${Qt5Xml_HEADER_DIR}" "${_qt5_install_prefix}/include/QtXml")

set(Qt5Xml_LIBRARY_DIR "${_qt5_install_prefix}/lib")

string(TOUPPER Xml _CMAKE_MODULE_NAME_UPPER)
set(Qt5Xml_DEFINITIONS -DQT_${_CMAKE_MODULE_NAME_UPPER}_LIB)

set(_Qt5_MODULE_DEPENDENCIES "Core")

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5XmlConfigExtras.cmake")
endif()

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5XmlMacros.cmake")
endif()

if (NOT _Qt5Xml_target)
    set(_Qt5Xml_target 1)
    add_library(Qt5Xml SHARED IMPORTED)
    if (NOT "" STREQUAL "")
        set_property(TARGET Qt5Xml PROPERTY FRAMEWORK 1)
    endif()
endif()

if (NOT "debug" STREQUAL "")
    set_property(TARGET Qt5Xml APPEND PROPERTY IMPORTED_CONFIGURATIONS DEBUG)
    set_target_properties(Qt5Xml PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_DEBUG "Qt5Core"
        IMPORTED_LOCATION_DEBUG "${_qt5_install_prefix}/lib/QtXmld5.dll"
    )
    if (NOT "QtXmld5.lib" STREQUAL "")
        set_target_properties(Qt5Xml PROPERTIES
            IMPORTED_IMPLIB_DEBUG "${_qt5_install_prefix}/lib/QtXmld5.lib"
        )
    endif()
endif()

if (NOT "release" STREQUAL "")
    set_property(TARGET Qt5Xml APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
    set_target_properties(Qt5Xml PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "Qt5Core"
        IMPORTED_LOCATION_RELEASE "${_qt5_install_prefix}/lib/QtXml5.dll"
    )
    if (NOT "QtXml5.lib" STREQUAL "")
        set_target_properties(Qt5Xml PROPERTIES
            IMPORTED_IMPLIB_RELEASE "${_qt5_install_prefix}/lib/QtXml5.lib"
        )
    endif()
endif()
